sK1 Project :: OpenSource Solutions for Prepress
View Thread
 Print Thread
Wont run on Debian Squeeze... what have I forgotten?
flipjarg
#1 Print Post
Posted on 29-11-2010 17:01
Member

Posts: 2
Joined: 24.09.10

I am running Debian Squeeze (SK1 now shows up in my Applications Menu!) I just uninstalled an older version of SK1 that was working... downloaded the Ubuntu 10.10 packages, like I did last time and used dpkg to install them. For some reason I get this message when I try to run SK1:

Download source  Code
[email protected]:/home/userName/Desktop# sk1
Traceback (most recent call last):
  File "/usr/bin/sk1", line 23, in <module>
    sk1_run()
  File "/usr/lib/python2.6/dist-packages/sk1/__init__.py", line 26, in sk1_run
    import app
  File "/usr/lib/python2.6/dist-packages/sk1/app/__init__.py", line 58, in <module>
    import main
  File "/usr/lib/python2.6/dist-packages/sk1/app/main.py", line 29, in <module>
    import app
  File "/usr/lib/python2.6/dist-packages/sk1/app/__init__.py", line 58, in <module>
    import main
  File "/usr/lib/python2.6/dist-packages/sk1/app/main.py", line 30, in <module>
    from sk1libs.utils import Empty
ImportError: No module named utils





uname -r
Download source  Code
2.6.32-5-686


Edited by flipjarg on 29-11-2010 17:03
 
ulmus
#2 Print Post
Posted on 17-12-2010 19:55
Member

Posts: 3
Joined: 17.12.10

same message and problem (but Ubuntu 10.10; 2.6.35-23-generic)
 
igor
#3 Print Post
Posted on 25-12-2010 21:19
User Avatar

Super Administrator

Posts: 220
Joined: 09.02.09

Hi!

Sorry for delay in responding.

The problem looks like sk1libs package absence. Did you installed sk1libs and sk1sdk packages?
Regards,

Igor Novikov
sK1 Project
 
ulmus
#4 Print Post
Posted on 26-01-2011 09:42
Member

Posts: 3
Joined: 17.12.10

some solution? anybody?
I've installed k1libs and sk1sdk packages (Ubuntu 10.10; 2.6.35-23-generic).
 
igor
#5 Print Post
Posted on 26-01-2011 11:06
User Avatar

Super Administrator

Posts: 220
Joined: 09.02.09

Which Ubuntu version are you using: 32bit or 64bit? Do sk1 packages correspond your system version?
Regards,

Igor Novikov
sK1 Project
 
ulmus
#6 Print Post
Posted on 26-01-2011 23:27
Member

Posts: 3
Joined: 17.12.10

Ubuntu_10.10.zip 32bit and I think using the right packages sk1-rev1383_packages_for_ubuntu_10.10.zip
 
swansen
#7 Print Post
Posted on 11-04-2012 05:00
Member

Posts: 1
Joined: 11.04.12

yep, i have a similar issue, using the same package, on squeeze. App doesn't run, opens, shows up on task manager, but never actually opens. Been looking around trying to figure out if i have some missing decencies, and i thought i read that there is a list of dependencies somewhere? Anyone. to bad, i used to run this software on Mandriva, and was very happy with it. maybe at some point some simple solution will come around
 
Jump to Forum: